<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<!-- ================= -->
	<!-- == FORMULARIOS == -->
	<!-- ================= -->
	<form-beans>
		<!-- ==================================== -->
		<!-- El formulario principal de la pagina -->
		<!-- ==================================== -->
		<form-bean
				name="w83bLotesPreavisos"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="w83bLotesPreavisosBean" type="w83b.w83bBeans.W83bLotesPreavisosBean"/>
				<form-property name="urlVuelta" type="java.lang.String" />
		</form-bean>
		
		<form-bean
				name="w83bformNuevoLotesPreavisos"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bPreavisosNuevoBean" type="w83b.w83bBeans.W83bLotesPreavisosBean"/>
				<form-property name="tamanyoListaPreavisos" type="java.lang.String"/>
				<form-property name="idDelegacion" type="java.lang.String"/>
				<form-property name="formFile" type="org.apache.struts.upload.FormFile" />
				<form-property name="codColumna" type="java.lang.String" />
				<form-property name="urlVuelta" type="java.lang.String" />
				<form-property name="tamanyoListaSindicatos" type="java.lang.String"/>
		</form-bean>
		
		<form-bean
				name="formLotesPreavisos"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bLotesPreavisosBean" type="w83b.w83bBeans.W83bLotesPreavisosBean"/>
				<form-property name="w83bLotesPreavisosNuevoBean" type="w83b.w83bBeans.W83bLotesPreavisosBean"/>
				<form-property name="codSelec" type="java.lang.String"/>
				<form-property name="w83bPreavisoNuevoBean" type="w83b.w83bBeans.W83bLotesPreavisosBean"/>
				<form-property name="w83bprovincia" type="java.lang.String"/>
				<form-property name="w83bmunicipio" type="java.lang.String" />
				<form-property name="codColumna" type="java.lang.String" />
				<form-property name="firmaEjgv" type="java.lang.String"/>
				<form-property name="documentoImportadoOriginal" type="java.lang.String" />
				<form-property name="urlVuelta" type="java.lang.String" />
				
		</form-bean>
		<!-- =========== -->
		<!-- El contexto -->
		<!-- =========== -->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bRegistroDefinitivo[w83bRegistroDefinitivoBean]"/>	
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.herramientas.utilidades"/>
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.menu.LotesPreavisos"/>			   
				<form-property name="w83bLotesPreavisosBean" type="w83b.w83bBeans.W83bLotesPreavisosBean"/>
				<form-property name="w83bTerritorio" type="java.lang.String"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="fr" type="java.lang.String"/>
				<form-property name="w83bResultado" type="java.lang.String"/>
				<form-property name="errorFichero" type="java.lang.String" />
				<form-property name="w83bResultadoMapa" type="java.util.HashMap" />
				<form-property name="w83bMapaFilePreavisos" type="java.util.HashMap" />
				<form-property name="w83bPreavisosNuevoBean" type="w83b.w83bBeans.W83bLotesPreavisosBean"/>
				<form-property name="codSelec" type="java.lang.String"/>
				<form-property name="nombreFichero" type="java.lang.String" />
				<form-property name="documentoImportadoOriginal" type="java.lang.String" />
				<form-property name="solicitudPreaviso" type="w83b.w83bUtilidadesComunes.W83bSolicitudPreaviso"></form-property>
				<form-property name="w83bLotesPreavisosNuevoBean" type="w83b.w83bBeans.W83bLotesPreavisosBean"/>
				<form-property name="codLote" type="java.lang.String" />
				<form-property name="ficheroIda" type="java.sql.Blob"/>
				<form-property name="w83bLotesPreavisosNuevoTempBean" type="w83b.w83bBeans.W83bLotesPreavisosBean"/>
				<form-property name="firmaEjgv" type="java.lang.String"/>
				<form-property name="w83bListaLotesPreavisos2" type="java.util.List"/>	
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="tamanyoListaPreavisos" type="java.lang.String"/>
				<form-property name="w83bPreavisoNuevoBean" type="w83b.w83bBeans.W83bLotesPreavisosBean"/>
				<form-property name="w83bDatosPreavisoNuevoBean" type="w83b.w83bBeans.W83bLotesPreavisosBean"/>
				<form-property name="codSelecEdicion" type="java.lang.String"/>
				<form-property name="migas" type="java.lang.String" initial ="inicio.lotesPreavisos"/>
				<form-property name="parte" type="java.lang.String"/>
				<form-property name="indicePreaviso" type="java.lang.String"/>	
				<form-property name="codColumna" type="java.lang.String" />
				<form-property name="fechaRegES" type="java.lang.String" />
				<form-property name="numeroRegES" type="java.lang.String" />
				<form-property name="urlVuelta" type="java.lang.String" />
				<form-property name="urlAnterior" type="java.lang.String" />
				<form-property name="tamanyoListaSindicatos" type="java.lang.String"/>
				
				
		</form-bean>
	</form-beans>
	<!-- ============== -->
	<!-- == ACCIONES == -->
	<!-- ============== -->
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<!-- =============== -->
		<!-- Mostrar paginas -->
		<!-- =============== -->
		<action
				path ="/w83bPaginaNuevoLotesPreavisos" forward="paginaLotesPreavisos"/>
		
		<action
				path ="/w83bConsultaLotesPreavisos" forward="paginaLPreavisos"/>	
				
		<action
				path ="/w83bConsultaDetalleNuevoPreavisos" forward="paginaDetalleNuevoPreavisos"/>	
		
		
		<!-- ======== -->
		<!-- Entradas -->
		<!-- ======== -->
		
		<!-- =============== -->
		<!-- Dispatch menus -->
		<!-- =============== -->
			
			
			<action
				path="/w83bDispatchConsulta"
				name="formLotesPreavisos"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras4"
					path="/w83bTablaLotesPreavisosDetalle.do"/>
				<forward
					name="comun.boton.atras3"
					path="/w83bDeshacerAltaLote.do"/>
				<forward
					name="comun.boton.consultar2"
					path="/w83bConsultarPreavisosDetalle.do"/>
				<forward
					name="comun.boton.consultarNuevo"
					path="/w83bConsultarPreavisosNuevoDetalle.do"/>
				<forward
					name="preaviso.boton.notificar"
					path="/w83bEnviarLotePreavisos.do"/>	
					
		</action>
			
			<action
				path="/w83bDispatchNuevo"
				name="w83bformNuevoLotesPreavisos"
				input="/w83bInicioLotesPreavisos.do"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">

				<forward
					name="comun.boton.previsualizar"
					path="/w83bGuardarLotePreavisos.do"/>
				
				<forward
					name="comun.boton.atras3"
					path="/w83bDeshacerAltaLote.do"/>
				

		</action>
			
			<action path="/w83bPaginaInicioUtilidades" scope="request" type="w83b.w83bOperacionesPaso.w83bRegistroDefinitivo.W83bPaginaInicioUtilidadesOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaInicioUtilidadesMedio.do"/>
			<forward name="error" path="/w83bInicioUtilidades.do"/>
		</action>
		
		<action path="/w83bInicioLotesPreavisos" 
		name="w83bformNuevoLotesPreavisos" scope="request" type="w83b.w83bOperacionesPaso.w83bLotesPreavisos.W83bIrNuevoLotePreavisoAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaNuevoLotesPreavisos.do"/>
		</action>
			
		<action path="/w83bAdjuntarArchivoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bLotesPreavisos.W83bAdjuntarArchivoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bGenericoOutOP.do"/>
			<forward name="okVacio" path="/w83bGenericoAdjuntarOutOP.do" />
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
			<forward name="ficherovacio" path="/w83bFicheroVacioOutOP.do"/>
		</action>
		
		<action path="/w83bGenericoAdjuntarOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bLotesPreavisos.W83bGenericoAdjuntarOutOPAction" 
			 validate="false">
		</action>	
		
		<action path="/w83bGenericoErrorOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bLotesPreavisos.W83bGenericoErrorOutOPAction" 
			 validate="false">
		</action>	
		
		<action path="/w83bFicheroVacioOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bLotesPreavisos.W83bFicheroVacioOutOPAction" 
			 validate="false">
		</action>	
	
		<action path="/w83bGenericoOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bLotesPreavisos.W83bGenericoOutOPAction" 
			 validate="false">
		</action>
		
		<action path ="/w83bGuardarLotePreavisos" 
			 parameter="w83bGuardarLotePreavisosOI" 
			 validate="false" name="w83bformNuevoLotesPreavisos" 
			 input="/w83bInicioLotesPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bHayErrorEnFichero.do" />
					<forward name="error" path="/w83bInicioLotesPreavisos.do" />
		</action>
		
		<action path="/w83bHayErrorEnFichero" scope="request" type="w83b.w83bOperacionesPaso.w83bLotesPreavisos.w83bHayErrorEnFicheroOPAction" 
			 validate="false">
			 <forward name="noerror" path="/w83bTablaLotesPreavisosDetalle.do"/>
			 <forward name="error" path="/w83bInicioLotesPreavisos.do"/>
		</action>
		
		<action path ="/w83bTablaLotesPreavisosDetalle" 
			 parameter="w83bDetalleLotesPreavisosOI" 
			 validate="false" 
			input="/w83bInicioLotesPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bIrTablaLotesPreDet.do" />
					<forward name="error" path="/w83bIrTablaLotesPreDet.do" />
		</action>
		<action path="/w83bIrTablaLotesPreDet" scope="request" type="w83b.w83bOperacionesPaso.w83bLotesPreavisos.W83bIrTablaLotesPreDetOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bConsultaLotesPreavisos.do"/>
		</action>
		
		<action path="/w83bObtenerPreavisosOP" scope="request" type="w83b.w83bOperacionesPaso.w83bLotesPreavisos.W83bTablaPreavisosOPAction" 
			 validate="false">
			<forward name="find" path="/w83bTablaPreavisosDetalle.do"/>
			<forward name="ok" path="/w83bPreavisosOutOP.do"/>	
			<forward name="outOP" path="/w83bPreavisosOutOP.do"/>	
		</action>
		
		
		
		
		<action path ="/w83bTablaPreavisosDetalle" 
			 parameter="w83bDetallePreavisosOI" 
			 validate="false" 
			 input="/w83bInicioLotesPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bPreavisosOutOP.do" />
					<forward name="error" path="/w83bPreavisosOutOP.do" />
		</action>
	
		<action path="/w83bPreavisosOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bLotesPreavisos.W83bTablaPreavisosOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bConsultaLotesPreavisos.do"/>
			<forward name="error" path="/w83bInicioLotesPreavisos.do"/>
		</action>	
		
		
		<action path ="/w83bConsultarPreavisosNuevoDetalle" 
			 parameter="w83bConsultarDetallePreavisoOI" 
			 validate="false" 
			 input="/w83bInicioLotesPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bConsultaDetalleNuevoPreavisos.do" />
					<forward name="error" path="/w83bConsultaDetalleNuevoPreavisos.do" />
		</action>
		
		
		<action path="/w83bObtenerPreavisoIndiceOP" scope="request" type="w83b.w83bOperacionesPaso.w83bLotesPreavisos.W83bObtenerPreavisoIndiceOP" 
			 validate="false">
			<forward name="edicion" path="/w83bConsultarPreavisosNuevoDetalle.do"/>
			<forward name="error" path="/w83bGenericoOutOP.do"/>
	</action>

	<action path ="/w83bDeshacerAltaLote" 
			 parameter="w83bDeshacerAltaLoteOI" 
			 validate="false" name="w83bformNuevoLotesPreavisos" 
			input="/w83bInicioLotesPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioLotesPreavisos.do" />
					<forward name="error" path="/w83bInicioLotesPreavisos.do" />
		</action>
		
		
		<action path ="/w83bEnviarLotePreavisos" 
			 parameter="w83bEnviarLotePreavisosOI" 
			 validate="false" name="w83bformNuevoLotesPreavisos" 
			input="/w83bInicioLotesPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bJustificanteLotePrevisos.do" />
					<forward name="error" path="/w83bJustificanteLotePrevisos.do" />
		</action>
		
		<action
				path ="/w83bJustificanteLotePrevisos" forward="paginaJustificanteLotePrevisos"/>

	
	</action-mappings>

	<!-- Procesador de Operacion de Presentacion -->
	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	<!-- Datos de Operacion de Presentacion -->
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/mantenimientos/validation-motivosbajaacta.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>